# $Revision: 1.13 $, $Date: 2010/07/08 08:06:18 $
%define		module dateutil
Summary:	Extensions to the standard datetime module
Summary(pl.UTF-8):	Rozszerzenia modułu datetime języka Python
Name:		python-dateutil
Version:	1.3
Release:	5
License:	PSF
Group:		Libraries/Python
Source0:	http://labix.org/download/python-dateutil/python-%{module}-%{version}.tar.bz2
# Source0-md5:	23ee74f85bf96ed3da3fb8bf88b4db04
URL:		http://labix.org/python-dateutil
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The dateutil module provides powerful extensions to the standard
datetime module, available in Python 2.3+. Allows:
- computing of relative deltas (next month, next year, next monday,
  last week of month, etc),
- computing of dates based on very flexible recurrence rules, using a
  superset of the [WWW] iCalendar specification,
- parsing of RFC strings,
- peneric parsing of dates in almost any string format.

%description -l pl.UTF-8
Moduł dateutil jest potężnym rozszerzeniem standardowego modułu
datetime, dostępnego w Pythonie 2.3+. Pozwala na:
- obliczanie relatywnych różnic (następny miesiąc, rok, poniedziałek,
  ostatni tydzień miesiąca itp.),
- obliczanie dat w oparciu o bardzo elastyczne rekurencyjne zasady, z
  użyciem nadzbioru specyfikacji [WWW] iCalendar,
- analizę łańcuchow znakowych RFC,
- analizę dat w prawie każdym formacie.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT \

%py_postclean %{py_sitescriptdir}/dateutil

# NOTE: Not sure but seems zoneinfo is needed under windows only
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/dateutil/zoneinfo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%dir %{py_sitescriptdir}/dateutil
%{py_sitescriptdir}/dateutil/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/python_dateutil-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-dateutil.spec,v $
Revision 1.13  2010/07/08 08:06:18  arekm
- release 5

Revision 1.12  2009/10/28 11:26:53  glen
- package egg; rel 4

Revision 1.11  2009/10/28 10:51:21  glen
- release 3

Revision 1.10  2009/10/28 10:51:11  glen
- cleanups

Revision 1.9  2008/10/03 17:47:59  arekm
- release 2

Revision 1.8  2008-02-22 00:05:44  wrobell
- ver. 1.3

Revision 1.7  2007/08/12 15:54:27  wrobell
- tabs

Revision 1.6  2007/08/01 19:11:06  teodor
- up to 1.2

Revision 1.5  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.3  2006/06/30 10:17:49  qboosh
- added doc

Revision 1.2  2006/03/09 20:33:55  qboosh
- pl fixes

Revision 1.1  2006/03/07 13:57:03  matkor
- Initial spec for 1.1-1. Needs only some pl. STBR(Ac).
